gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2313 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Description

Cuando estamos editando la configuracion del plugin de personalizar gvSIG (org.gvsig.customize.app.mainplugin) y le damos a
aceptar presenta un error en la linea de estado de la aplicacion diciendo que no puede persistir org.gvsig.crs.Crs.
Si volvemos a cargar el formulario de configuracion no muestra ningun valor en los capos de CRS.

Related issues:
Related to Application: gvSIG desktop - gvSIG add-on requests # 3741: New add... Closed 07/30/2015

Associated revisions
Revision 47 - 07/30/2015 08:06 PM - Joaquín  del Cerro Murciano

refs #3740, no guarda los valors de configuracion relacionados con el CRS en la ventana de  "Customize plugin configuration" debido a
incompatibilidades entre los manageer de persistencia en formato zip y xml. Se ha pasado a usar el formato zip en lugar del xml.

History
#1 - 07/30/2015 08:04 PM - Joaquín  del Cerro Murciano

Despues de muchas vueltas parece que tiene que ver con el formato en como se estan guardando los datos del formulario. Se soportan dos formtos:

- zip, y dentro tres ficheros XML
- Un solo fichero XML.

Se etaba usando el forato XML. Si se usa el formato ZIP funciona correctamente, parece que tiene que ver con que el manager de persistencia para
los ficheros XML no tiene en cuenta las factorias de persistencia registradas en el manager que gestiona los ficheros ZIP.

De momento, he cambiado el formato y ahora los valores del formulario se guardan en formato ZIP.

#2 - 07/30/2015 08:25 PM - Joaquín  del Cerro Murciano
- Related to gvSIG add-on requests #3741: New add-on for gvsig.customize.app.mainplugin-1.2.0-10 added

#3 - 07/30/2015 08:26 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 10/15/2015 10:43 AM - Álvaro Anguix
- Status changed from Fixed to Closed
